﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        PopulaGrid();
    }

    public void PopulaGrid()
    {
     DataSet ds = new DataSet();
     SqlConnection conexao= null;
     try
     {
         conexao = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
         SqlDataAdapter da;
         da = new SqlDataAdapter("exibeContatos", conexao);
         da.SelectCommand.CommandType = CommandType.StoredProcedure;
         conexao.Open();
         da.Fill(ds);

         lblmsg.Text = "Todos os contatos.";
         
         GridView1.DataSource = ds;
         GridView1.DataBind();
     }
     catch (Exception ex)
     {
         lblmsg.Text = ex.Message;
     }
     finally
     {
         conexao.Close();
     }
    }

 
 protected void btnContatosCidade_Click(object sender, EventArgs e)
 {
     if (txtCidade.Text.Equals(""))
     {
         lblmsg.Text = "Valor inválido";
         return;
     }

     DataSet ds = new DataSet();
     SqlConnection conexao = null;
     try
     {
         conexao = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
         SqlCommand cmd = new SqlCommand("selecionaContatosPorCidade", conexao);

         cmd.CommandType = CommandType.StoredProcedure;
         cmd.Parameters.AddWithValue("@cidade", txtCidade.Text);
         
         SqlDataAdapter da = new SqlDataAdapter(cmd);
         da.Fill(ds);
         lblmsg.Text = "Contatos da cidade : " + txtCidade.Text;
         GridView1.DataSource = ds;
         GridView1.DataBind();
     }
     catch (Exception ex)
     {
         lblmsg.Text = ex.Message;
     }
     finally
     {
         conexao.Close();
     }
 }

 protected void btnContatosIdade_Click(object sender, EventArgs e)
 {
     DataSet ds = new DataSet();
     SqlConnection conexao = null;

     try
     {
         conexao = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
         SqlCommand cmd = new SqlCommand("selecionaContatosPorIdade", conexao);

         cmd.CommandType = CommandType.StoredProcedure;
         cmd.Parameters.AddWithValue("@idade", Convert.ToInt32(txtIdade.Text));

         SqlDataAdapter da = new SqlDataAdapter(cmd);
         da.Fill(ds);
         lblmsg.Text = "Contatos com idade superior a " + Convert.ToInt32(txtIdade.Text);
         GridView1.DataSource = ds;
         GridView1.DataBind();
     }
     catch (Exception ex)
     {
         lblmsg.Text = ex.Message;
     }
     finally
     {
         conexao.Close();
     }
 }

 public void ItemDataBoundEventHandler1(object sender, GridViewRowEventArgs e)
 {
     if (e.Row.RowType == DataControlRowType.DataRow)
     {
         e.Row.Attributes.Add("onmouseover", "this.style.backgroundColor='Silver'");
         e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor='#FFFBD6'");
     }
 }
 protected void btnIncluir_Click(object sender, EventArgs e)
 {
     if (btnIncluir.Text.Equals("Incluir"))
     {
         pnlInclusao.Visible = true;
         btnIncluir.Text = "Salvar";
     }
     if (btnIncluir.Text.Equals("Salvar"))
     {

         pnlInclusao.Visible = false;
         btnIncluir.Text = "Incluir";
     }


 }
}
